
Katello - Bug #6971

CLI: A number of info command doesn't work if you pass them bad ids

08/06/2014 04:51 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1085417 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/216

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1085417

Try these commands:

hammer product info --id 885858585885

hammer system info --id 8588585858

You'll get weird results like:

undefined method `readable?' for nil:NilClass

or

Error: 400 Bad Request

I'd expect a message like:

Could not find product with id 885858585885

Associated revisions

Revision 6b66fa03 - 08/07/2014 09:30 AM - dustin tsang

Fixes #6971 - method_option not needed

calls to method_option is not needed

Revision 5a6d9cad - 08/11/2014 05:08 PM - dustin tsang

Fixes #6971,bz1085417 - api handle nonexistent id

In capsule and product APIs, the show action for a nonexistant id fails

to give a proper 404.

for example /api/products/123123 where product 123132 does not exist

product gives 500 no resource loaded

capsule gives protected method `resource_name' called for

Revision e0f7dc8b - 08/13/2014 11:26 AM - dustin tsang

Merge pull request #216 from dustint-rh/fix_repository_info_id

Fixes #6971 - method_option takes 1 arg

Revision 5a542c1f - 08/13/2014 11:27 AM - dustin tsang

Merge pull request #4543 from dustint-rh/api_show_missing

Fixes #6971,bz1085417 - api handle nonexistent id
History

#1 - 08/06/2014 05:02 PM - dustin tsang

Currently these commands seem to be having problems (excerpt from https://gist.github.com/dustint-rh/a60d05d0c62549b27dab):

hammer capsule info --id 2141

protected method `resource_name' called for #<Katello::Api::V2::CapsulesController:0x0000001d229e18>

hammer product info --id 2141

no resource loaded

hammer repository info --id 2141

wrong number of arguments (0 for 1)

#2 - 08/06/2014 05:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/216 added

- Pull request deleted ()

#3 - 08/07/2014 10:40 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/11/2014 05:18 PM - dustin tsang

2 pull requests created:

https://github.com/Katello/katello/pull/4543

https://github.com/Katello/hammer-cli-katello/pull/216

#5 - 08/11/2014 05:18 PM - dustin tsang

- Pull request  added

- Pull request deleted (https://github.com/Katello/hammer-cli-katello/pull/216)

#6 - 08/13/2014 11:26 AM - The Foreman Bot

- Pull request https://github.com/Katello/hammer-cli-katello/pull/216 added

- Pull request deleted ()

#7 - 08/13/2014 12:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|6b66fa036e7b3149db82072d0659bfa50a23e252.

#8 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
